| v_hdmirx1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_HdmiRx1_Config Struct Reference

This typedef contains configuration information for the HDMI RX core. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the HDMI RX core. More...
UINTPTR | BaseAddress
| BaseAddress is the physical base address of the core's registers. More...
u32 | DynamicHDR
| < Maximum FRL Rate Supporte More...
u32 | DSC
| DSC supported. More...

## Detailed Description

This typedef contains configuration information for the HDMI RX core.

Each HDMI RX device should have a configuration structure associated.

## Field Documentation

UINTPTR XV_HdmiRx1_Config::BaseAddress

BaseAddress is the physical base address of the core's registers.

Referenced by XV_HdmiRx1_CfgInitialize(), XV_HdmiRx1_ClearLinkStatus(), XV_HdmiRx1_DdcGetEdidWords(), XV_HdmiRx1_DdcGetHdcpReadMessageBufferWords(), XV_HdmiRx1_DdcGetHdcpWriteMessageBufferWords(), XV_HdmiRx1_DdcIsHdcpReadMessageBufferEmpty(), XV_HdmiRx1_DdcIsHdcpWriteMessageBufferEmpty(), XV_HdmiRx1_DdcLoadEdid(), XV_HdmiRx1_DdcRegDump(), XV_HdmiRx1_DebugInfo(), XV_HdmiRx1_FrlDdcReadField(), XV_HdmiRx1_FrlDdcWriteField(), XV_HdmiRx1_FrlLtpDetectionDisable(), XV_HdmiRx1_FrlLtpDetectionEnable(), XV_HdmiRx1_FrlReset(), XV_HdmiRx1_GetAcrCts(), XV_HdmiRx1_GetAcrN(), XV_HdmiRx1_GetAviColorSpace(), XV_HdmiRx1_GetAviVic(), XV_HdmiRx1_GetFrlActivePixRatio(), XV_HdmiRx1_GetFrlTotalPixRatio(), XV_HdmiRx1_GetGcpColorDepth(), XV_HdmiRx1_GetLinkStatus(), XV_HdmiRx1_GetPatternsMatchStatus(), XV_HdmiRx1_GetTmdsClockRatio(), XV_HdmiRx1_GetVideoProperties(), XV_HdmiRx1_GetVideoTiming(), XV_HdmiRx1_IntrHandler(), XV_HdmiRx1_IsLinkStatusErrMax(), XV_HdmiRx1_RegisterDebug(), XV_HdmiRx1_ResetFrlLtpDetection(), XV_HdmiRx1_SelfTest(), XV_HdmiRx1_SetColorFormat(), XV_HdmiRx1_SetFrlLtpThreshold(), XV_HdmiRx1_SetFrlRateWrEvent_En(), XV_HdmiRx1_SetHpd(), and XV_HdmiRx1_SetPixelRate().

u16 XV_HdmiRx1_Config::DeviceId

DeviceId is the unique ID of the HDMI RX core.

u32 XV_HdmiRx1_Config::DSC

DSC supported.

Referenced by XV_HdmiRx1_CfgInitialize().

u32 XV_HdmiRx1_Config::DynamicHDR

< Maximum FRL Rate Supporte

Dynamic HDR supported

Referenced by XV_HdmiRx1_DynHDR_GetInfo(), and XV_HdmiRx1_DynHDR_SetAddr().